/*
  implements a blocking file descriptor
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#ifndef __FIFO_H
#define __FIFO_H

#include <iostream.h>
#include <yafcore/buffer.h>

extern "C" {
#include <sys/time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/stat.h>
#include <errno.h>
	   }

#define _TIMEOUT_MS    100


class Fifo {

  int fd;
  Buffer* buffer;
  int flags;

 public:
  Fifo(char* filename,int flags);
  ~Fifo();

  char* getFileName();

  int open();
  int close();
  
  int read(char* buf, int max);
  int write(char* buf, int max);
  int isOpen();
  

};


#endif

