/*
  device print the time of the stream which was actually written
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#ifndef __INFODEVICE_H
#define __INFODEVICE_H

#include <devices/outputDevice.h>

/**
  The infoDevice is not a real device because it does nothing
  with the PCM data stream. But this device allow a gui
  not to make a difference between the meta data of
  a music (Songname, length,...) and the pcm data. 
  Thus this device can very cleanly integrated in a gui.
*/


class InfoDevice :public OutputDevice {

  MusicInfo* musicInfo;

 public:
  InfoDevice();
  ~InfoDevice();

  char* getNodeName();

  char* getName();
  int getSec();

  void writeIn(NodeDevice* source,DeviceConfig* buf);

};

#endif
  
